- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP42ContentListener Class Reference

`#include <WP42ContentListener.h>`

Inheritance diagram for WP42ContentListener:

## Public Member Functions
| WP42ContentListener (std::list< WPXPageSpan > &pageList, std::vector< WP42SubDocument * > &subDocuments, librevenge::RVNGTextInterface *documentInterface)
| ~WP42ContentListener ()
void | startDocument ()
void | startSubDocument ()
void | insertCharacter (unsigned character)
void | insertTab (unsigned char tabType, double tabPosition)
void | insertBreak (unsigned char breakType)
void | insertEOL ()
void | attributeChange (bool isOn, unsigned char attribute)
void | marginReset (unsigned char leftMargin, unsigned char rightMargin)
void | headerFooterGroup (unsigned char headerFooterDefinition, WP42SubDocument *subDocument)
void | suppressPageCharacteristics (unsigned char)
void | endDocument ()
void | endSubDocument ()
Public Member Functions inherited from WP42Listener
| WP42Listener ()
virtual | ~WP42Listener ()

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0)
void | _flushText ()
void | _changeList ()
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
virtual | ~WPXContentListener ()
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state. More...
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP42ContentListener (const WP42ContentListener &)
WP42ContentListener & | operator= (const WP42ContentListener &)

## Private Attributes
WP42ContentParsingState * | m_parseState
std::vector< WP42SubDocument * > & | m_subDocuments

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
WPXContentParsingState * | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP42ContentListener::WP42ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | std::vector< WP42SubDocument * > & | subDocuments,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

WP42ContentListener::~WP42ContentListener | ( |  | ) |

WP42ContentListener::WP42ContentListener | ( | const WP42ContentListener & |  | ) |
| private

## Member Function Documentation

void WP42ContentListener::_changeList | ( |  | ) |
| inline protected virtual

Implements WPXContentListener.

Referenced by _handleSubDocument().

void WP42ContentListener::_flushText | ( |  | ) |
| protected virtual

Implements WPXContentListener.

Referenced by insertTab().

void WP42ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |
| protected virtual

Implements WPXContentListener.

void WP42ContentListener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| virtual

Implements WP42Listener.

void WP42ContentListener::endDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

void WP42ContentListener::endSubDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

void WP42ContentListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | WP42SubDocument * | subDocument
| ) |  |
| virtual

Implements WP42Listener.

void WP42ContentListener::insertBreak | ( | unsigned char | breakType | ) |
| inline virtual

Implements WP42Listener.

void WP42ContentListener::insertCharacter | ( | unsigned | character | ) |
| virtual

Implements WP42Listener.

void WP42ContentListener::insertEOL | ( |  | ) |
| virtual

Implements WP42Listener.

void WP42ContentListener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| virtual

Implements WP42Listener.

void WP42ContentListener::marginReset | ( | unsigned char | leftMargin,
|  | unsigned char | rightMargin
| ) |  |
| virtual

Implements WP42Listener.

WP42ContentListener& WP42ContentListener::operator= | ( | const WP42ContentListener & |  | ) |
| private

void WP42ContentListener::startDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

void WP42ContentListener::startSubDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

void WP42ContentListener::suppressPageCharacteristics | ( | unsigned char |  | ) |
| inline virtual

Implements WP42Listener.

## Member Data Documentation

WP42ContentParsingState* WP42ContentListener::m_parseState
| private

Referenced by _flushText(), _handleSubDocument(), insertCharacter(), and ~WP42ContentListener().

std::vector<WP42SubDocument *>& WP42ContentListener::m_subDocuments
| private

Referenced by headerFooterGroup().

The documentation for this class was generated from the following files:

- WP42ContentListener.h
- WP42ContentListener.cpp